org.eclipse.viatra.query.runtime.rete.eval

## Class EvaluatorCore

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.eval.EvaluatorCore

- Direct Known Subclasses:
    EvaluatorCore.FunctionEvaluatorCore, EvaluatorCore.PredicateEvaluatorCore

      public abstract class EvaluatorCore
      extends java.lang.Object

  Since:
    1.5

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EvaluatorCore.FunctionEvaluatorCore`
    `static class` | `EvaluatorCore.PredicateEvaluatorCore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IExpressionEvaluator` | `evaluator`
    `protected IEvaluatorNode` | `evaluatorNode`
    `protected org.apache.log4j.Logger` | `logger`
    `protected IQueryRuntimeContext` | `runtimeContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvaluatorCore(org.apache.log4j.Logger logger, IExpressionEvaluator evaluator, java.util.Map<java.lang.String,java.lang.Integer> parameterPositions, int sourceTupleWidth)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `errorResult()`
    `java.lang.Object` | `evaluateTerm(Tuple ps)`
    `protected abstract java.lang.String` | `evaluationKind()` E.g.
    `void` | `init(IEvaluatorNode evaluatorNode)`
    `Tuple` | `performEvaluation(Tuple inputTuple)`
    `protected java.lang.String` | `prettyPrintTuple(Tuple ps)`
    `abstract Tuple` | `tupleFromResult(Tuple incoming, java.lang.Object evaluationresult)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected org.apache.log4j.Logger logger

    - #### evaluator

          protected IExpressionEvaluator evaluator

    - #### runtimeContext

          protected IQueryRuntimeContext runtimeContext

    - #### evaluatorNode

          protected IEvaluatorNode evaluatorNode

  - ### Constructor Detail

    - #### EvaluatorCore

          public EvaluatorCore(org.apache.log4j.Logger logger,
                               IExpressionEvaluator evaluator,
                               java.util.Map<java.lang.String,java.lang.Integer> parameterPositions,
                               int sourceTupleWidth)

  - ### Method Detail

    - #### tupleFromResult

          public abstract Tuple tupleFromResult(Tuple incoming,
                                                java.lang.Object evaluationresult)

    - #### evaluationKind

          protected abstract java.lang.String evaluationKind()

      E.g. "eval()"

    - #### init

          public void init(IEvaluatorNode evaluatorNode)

    - #### performEvaluation

          public Tuple performEvaluation(Tuple inputTuple)

    - #### evaluateTerm

          public java.lang.Object evaluateTerm(Tuple ps)

    - #### prettyPrintTuple

          protected java.lang.String prettyPrintTuple(Tuple ps)

    - #### errorResult

          protected java.lang.Object errorResult()